package com.pcloud.book.group.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/7/23 15:53
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ListBook4ChannelVO implements Serializable {

    @ApiModelProperty("书唯一标识")
    private Long bookId;

    @ApiModelProperty("书群唯一标识")
    private Long bookGroupId;

    @ApiModelProperty("书名")
    private String bookName;

    @ApiModelProperty("ISBN")
    private String isbn;

    @ApiModelProperty("书编号")
    private String bookNumber;

    @ApiModelProperty("群分类数")
    private Long classifyNum;

    @ApiModelProperty("群总人数")
    private Long totalNum;

    @ApiModelProperty("书封面图")
    private String coverImg;

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getBookNumber() {
        return bookNumber;
    }

    public void setBookNumber(String bookNumber) {
        this.bookNumber = bookNumber;
    }

    public Long getClassifyNum() {
        return classifyNum;
    }

    public void setClassifyNum(Long classifyNum) {
        this.classifyNum = classifyNum;
    }

    public Long getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Long totalNum) {
        this.totalNum = totalNum;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    @Override
    public String toString() {
        return "ListBook4ChannelVO{" +
                "bookId=" + bookId +
                ", bookGroupId=" + bookGroupId +
                ", bookName='" + bookName + '\'' +
                ", isbn='" + isbn + '\'' +
                ", bookNumber='" + bookNumber + '\'' +
                ", classifyNum=" + classifyNum +
                ", totalNum=" + totalNum +
                ", coverImg='" + coverImg + '\'' +
                '}';
    }
}